name: Workflow de prueba

on:
  - push

env:
  DOCKER_ORG: beyondcx
  BRANCH_NAME: main

jobs:
  Build and push images:
    runs-on: ubuntu-latest
    steps: 
      - name: Checkout
        uses: actions/checkout@v4

      - name: Extract Branch Name 
        run: echo "${{ gitea.ref }}" 
        run: echo "${{ gitea.ref }}" | sed 's|refs/heads/||' >> env.BRANCH_NAME

      #- name: Setup QEMU
      #  uses: docker/setup-qemu-action@v3

      - name: Setup Buildx
        uses: docker/setup-buildx-action@v3
        with:
          driver-opts: network=host
      
      - name: Echo the Tag
        run: echo "Tag ${{ env.DOCKER_ORG }}/beyondcx:${{ env.BRANCH_NAME }}"

      - name: Login to Registry
        uses: docker/login-action@v3
        with:
          registry: git.beyondcx.org
          username: ${{ secrets.REGISTRY_USER  }}
          password: ${{ secrets.REGISTRY_PWD }}

      - name: Build
        uses: docker/build-push-action@v5
        with:
          context: .
          push: true
          tags: ${{ env.DOCKER_ORG }}/beyondcx:${{ env.BRANCH_NAME }}
          platforms: linux/amd64


